Page MenuHomePhabricator

[Bug] Add discussion button and confusing message appears on Flow Talk Pages on Beta
Closed, ResolvedPublic3 Estimate Story PointsBUG REPORT

Description

Steps to reproduce

  1. Login and visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Talk:Flow_QA (or any talk page on beta where Flow is enabled).

Expected results

  • Since Flow provides its own way to create a discussion via the "Start a new topic" input box, I do not expect to see the blue "Add discussion" button
  • Since there are discussions on this page, I do not expect to see the "There are no discussions on this page" message.

Actual results

Check any additional observations

Dev notes

The blue button and message were added as part of the render talk as tab task (T230695)

The blue button and "There are no discussions on this page" are appended in SkinMinerva when the user is on a talk page with the view action:
https://github.com/wikimedia/mediawiki-skins-MinervaNeue/blob/10defb5aa15203c7fb657a194f7dcf4df3c1233a/includes/skins/SkinMinerva.php#L510-L532

The next question is how does Flow do its magic and how should we get them to cooperate?

for reference here is flow on mobile on production https://m.mediawiki.org/wiki/Talk:Reading/Web/Advanced_mobile_contributions

QA steps

When logged in user visits a talk page with Flow enabled

  • Login and visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Talk:Flow_QA
  • Ensure that there is NOT a Table of contents, "Add discussion" button, "Read as wikipage" button, "There are no discussions on this page" message, or "Active discussions" message visible on the page.
  • Ensure that clicking on a topic expands/collapses it and that no overlay is shown. Note that the check icon (which might appear as a cut off arrow) is unrelated to this ticket

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterEnable Simplified Talk Page only on Pages With Expandable Sections
mediawiki/extensions/MobileFrontend : masterMove MobileFrontendBeforeDOM hook

Event Timeline

nray created this task.Nov 6 2019, 11:39 PM
Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald TranscriptNov 6 2019, 11:39 PM
nray renamed this task from [Bug] Example title to [Bug] Add discussion button and confusing message appears on Flow Talk Pages on Beta.Nov 6 2019, 11:40 PM
nray added a project: MinervaNeue.
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)Nov 6 2019, 11:42 PM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)Nov 6 2019, 11:46 PM
ovasileva triaged this task as Medium priority.Nov 7 2019, 12:29 PM
ovasileva set the point value for this task to 3.Nov 7 2019, 6:49 PM
alexhollender updated the task description. (Show Details)Nov 7 2019, 6:49 PM

The client side check for this would be:

mw.config.get('wgPageContentModel') ==== "wikitext"

In PHP

$title->getContentModel()

The value for Flow is flow-board, but that doesn't matter as we'd only ever want to do this on wikitext pages.

nray added a comment.Nov 7 2019, 6:56 PM

@Jdlrobson thanks! that helps a lot

Change 550729 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Disable Simplified Talk Page on Flow Talk Pages

https://gerrit.wikimedia.org/r/550729

Change 550736 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Add public hasExpandableSections to MobileFormatter for use with MobileFrontendBeforeDOM hook

https://gerrit.wikimedia.org/r/550736

Change 550736 abandoned by Nray:
Move MobileFrontendBeforeDOM hook

Reason:
I misread the code!

https://gerrit.wikimedia.org/r/550736

Change 550729 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Enable Simplified Talk Page only on Pages With Expandable Sections

https://gerrit.wikimedia.org/r/550729

nray reassigned this task from nray to Edtadros.Nov 26 2019, 12:15 AM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)Nov 26 2019, 10:56 PM

No longer seeing blue button or message

nray removed Edtadros as the assignee of this task.Nov 26 2019, 10:57 PM
nray added a subscriber: Edtadros.
ovasileva closed this task as Resolved.Nov 27 2019, 5:06 PM
ovasileva claimed this task.